net.minecraft.network.packet

## Class Packet20NamedEntitySpawn

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet20NamedEntitySpawn

-     public class Packet20NamedEntitySpawn
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `currentItem` The current item the player is holding.
    `int` | `entityId` The entity ID, in this case it's the player ID.
    `String` | `name` The player's name.
    `byte` | `pitch` The player's pitch.
    `byte` | `rotation` The player's rotation.
    `int` | `xPosition` The player's X position.
    `int` | `yPosition` The player's Y position.
    `int` | `zPosition` The player's Z position.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet20NamedEntitySpawn()`
    `Packet20NamedEntitySpawn(EntityPlayer par1EntityPlayer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `List` | `getWatchedMetadata()`
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entityId

          public int entityId

      The entity ID, in this case it's the player ID.

    - #### name

          public String name

      The player's name.

    - #### xPosition

          public int xPosition

      The player's X position.

    - #### yPosition

          public int yPosition

      The player's Y position.

    - #### zPosition

          public int zPosition

      The player's Z position.

    - #### rotation

          public byte rotation

      The player's rotation.

    - #### pitch

          public byte pitch

      The player's pitch.

    - #### currentItem

          public int currentItem

      The current item the player is holding.

  - ### Constructor Detail

    - #### Packet20NamedEntitySpawn

          public Packet20NamedEntitySpawn()

    - #### Packet20NamedEntitySpawn

          public Packet20NamedEntitySpawn(EntityPlayer par1EntityPlayer)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getWatchedMetadata

          public List getWatchedMetadata()